%global debug_package %{nil}
%define ansible_version    2.9
%define oci_sdk_version    2.118.2

%if "%{?dist}" == ".el7"
%define galaxycmd ansible-galaxy-3
%define ansible_python ansible-python3
%define oci_sdk python36-oci-sdk
%else
%define galaxycmd ansible-galaxy
%define oci_sdk python3-oci-sdk
%if "%{?dist}" == ".el8"
%define ansible_python ansible
%else
# for OL9 and above, use ansible-core from appstream
%define ansible_python ansible-core
%endif
%endif

Name:       oci-ansible-collection		
Version:	4.40.0
Release: 1%{?dist}
Summary:	Oracle Cloud Infrastructure Ansible Collection 
Group:		Oracle Cloud Infrastructure
License:	GPL 3.0 and Apache 2.0 
URL:		https://github.com/oracle/oci-ansible-collection
Source0: oci-ansible-collection-%{version}.tar.bz2

BuildRequires:	python3 
BuildRequires:	%{ansible_python} >= %{ansible_version}
Requires:       %{ansible_python} >= %{ansible_version}
Requires:       %{oci_sdk} >= %{oci_sdk_version}

%description
Oracle Cloud Infrastructure Ansible Collection provides an easy way
to provision and manage resources in Oracle Cloud using Ansible.


%prep
%setup -n %{name}-%{version}


%build
%{galaxycmd} collection build

%install
%{galaxycmd} collection install -p %{buildroot}/usr/share/ansible/collections/  oracle-oci-%{version}.tar.gz
pushd %{buildroot}/usr/share/ansible/collections/ansible_collections/oracle/oci
rm *.txt *.md samples/ docs/ scripts/ -rf
popd

%files
%doc *.txt *.md samples/ docs/
%attr(755,root,root) /usr/share/ansible/collections/*


%post
find /usr/share/ansible/collections/ansible_collections/ -name '*.py?' -exec rm -f {} \;

%changelog
* Thu Jan 11 2024 EL Errata <el-errata_ww@oracle.com> 4.40.0-1
- Update to 4.40.0

* Thu Dec 21 2023 EL Errata <el-errata_ww@oracle.com> 4.39.0-1
- Update to 4.39.0

* Thu Dec 14 2023 EL Errata <el-errata_ww@oracle.com> 4.38.0-1
- Update to 4.38.0

* Fri Dec 01 2023 EL Errata <el-errata_ww@oracle.com> 4.37.0-1
- Update to 4.37.0

* Fri Dec 01 2023 EL Errata <el-errata_ww@oracle.com> 4.35.0-1
- Update to 4.35.0

* Thu Oct 19 2023 EL Errata <el-errata_ww@oracle.com> 4.34.0-1
- Update to 4.34.0

* Thu Oct 12 2023 EL Errata <el-errata_ww@oracle.com> 4.33.0-1
- Update to 4.33.0

* Thu Oct 05 2023 EL Errata <el-errata_ww@oracle.com> 4.32.0-1
- Update to 4.32.0

* Thu Sep 28 2023 EL Errata <el-errata_ww@oracle.com> 4.31.0-1
- Update to 4.31.0

* Thu Sep 07 2023 EL Errata <el-errata_ww@oracle.com> 4.30.0-1
- Update to 4.30.0

* Thu Aug 17 2023 EL Errata <el-errata_ww@oracle.com> 4.29.0-1
- Update to 4.29.0

* Thu Jul 27 2023 EL Errata <el-errata_ww@oracle.com> 4.28.0-1
- Update to 4.28.0

* Thu Jul 13 2023 EL Errata <el-errata_ww@oracle.com> 4.27.0-1
- Update to 4.27.0

* Thu Jul 06 2023 EL Errata <el-errata_ww@oracle.com> 4.26.0-1
- Update to 4.26.0

* Thu Jun 22 2023 EL Errata <el-errata_ww@oracle.com> 4.25.0-1
- Update to 4.25.0

* Thu Jun 15 2023 EL Errata <el-errata_ww@oracle.com> 4.24.0-1
- Update to 4.24.0

* Thu May 25 2023 EL Errata <el-errata_ww@oracle.com> 4.23.0-1
- Update to 4.23.0

* Thu May 11 2023 EL Errata <el-errata_ww@oracle.com> 4.22.0-1
- Update to 4.22.0

* Mon May 08 2023 EL Errata <el-errata_ww@oracle.com> 4.21.0-1
- Update to 4.21.0

* Thu Apr 27 2023 EL Errata <el-errata_ww@oracle.com> 4.20.0-1
- Update to 4.20.0

* Thu Apr 13 2023 EL Errata <el-errata_ww@oracle.com> 4.19.0-1
- Update to 4.19.0

* Fri Mar 31 2023 EL Errata <el-errata_ww@oracle.com> 4.18.0-1
- Update to 4.18.0

* Thu Mar 23 2023 EL Errata <el-errata_ww@oracle.com> 4.17.0-1
- Update to 4.17.0
- Changed requirement to use ansible-core package from OL9 appstream.

* Thu Mar 16 2023 EL Errata <el-errata_ww@oracle.com> 4.16.0-1
- Update to 4.16.0

* Thu Mar 02 2023 EL Errata <el-errata_ww@oracle.com> 4.15.0-1
- Update to 4.15.0

* Thu Feb 23 2023 EL Errata <el-errata_ww@oracle.com> 4.14.0-1
- Update to 4.14.0

* Thu Feb 16 2023 EL Errata <el-errata_ww@oracle.com> 4.13.0-1
- Update to 4.13.0

* Thu Feb 09 2023 EL Errata <el-errata_ww@oracle.com> 4.12.0-1
- Update to 4.12.0

* Thu Feb 02 2023 EL Errata <el-errata_ww@oracle.com> 4.11.0-1
- Update to 4.11.0

* Wed Jan 25 2023 EL Errata <el-errata_ww@oracle.com> 4.10.0-1
- Update to 4.10.0

* Mon Jan 23 2023 EL Errata <el-errata_ww@oracle.com> 4.9.1-1
- Update to 4.9.1

* Thu Jan 19 2023 EL Errata <el-errata_ww@oracle.com> 4.9.0-1
- Update to 4.9.0

* Thu Jan 12 2023 EL Errata <el-errata_ww@oracle.com> 4.8.0-1
- Update to 4.8.0

* Thu Jan 05 2023 EL Errata <el-errata_ww@oracle.com> 4.7.0-1
- Update to 4.7.0

* Thu Dec 22 2022 EL Errata <el-errata_ww@oracle.com> 4.6.0-1
- Update to 4.6.0

* Thu Dec 15 2022 EL Errata <el-errata_ww@oracle.com> 4.5.0-1
- Update to 4.5.0

* Thu Dec 08 2022 EL Errata <el-errata_ww@oracle.com> 4.4.0-1
- Update to 4.4.0

* Thu Dec 01 2022 EL Errata <el-errata_ww@oracle.com> 4.3.0-1
- Update to 4.3.0

* Tue Nov 22 2022 EL Errata <el-errata_ww@oracle.com> 4.2.0-1
- Update to 4.2.0

* Thu Nov 17 2022 EL Errata <el-errata_ww@oracle.com> 4.1.0-1
- Update to 4.1.0

* Thu Oct 06 2022 EL Errata <el-errata_ww@oracle.com> 3.5.0-1
- Update to 3.5.0

* Thu Sep 29 2022 EL Errata <el-errata_ww@oracle.com> 3.4.0-1
- Update to 3.4.0

* Thu Sep 22 2022 EL Errata <el-errata_ww@oracle.com> 3.3.0-1
- Update to 3.3.0

* Thu Sep 15 2022 EL Errata <el-errata_ww@oracle.com> 3.2.0-1
- Update to 3.2.0

* Thu Sep 08 2022 EL Errata <el-errata_ww@oracle.com> 3.1.0-1
- Update to 3.1.0

* Mon Sep 05 2022 EL Errata <el-errata_ww@oracle.com> 3.0.1-1
- Update to 3.0.1

* Thu Sep 01 2022 EL Errata <el-errata_ww@oracle.com> 3.0.0-1
- Update to 3.0.0

* Thu Aug 25 2022 EL Errata <el-errata_ww@oracle.com> 2.58.0-1
- Update to 2.58.0

* Thu Aug 18 2022 EL Errata <el-errata_ww@oracle.com> 2.57.0-1
- Update to 2.57.0

* Thu Aug 04 2022 EL Errata <el-errata_ww@oracle.com> 2.56.0-1
- Update to 2.56.0

* Thu Jul 21 2022 EL Errata <el-errata_ww@oracle.com> 2.55.0-1
- Update to 2.55.0

* Thu Jul 07 2022 EL Errata <el-errata_ww@oracle.com> 2.54.0-1
- Update to 2.54.0

* Thu Jun 23 2022 EL Errata <el-errata_ww@oracle.com> 2.53.0-1
- Update to 2.53.0

* Thu Jun 09 2022 EL Errata <el-errata_ww@oracle.com> 2.52.0-1
- Update to 2.52.0

* Thu May 26 2022 EL Errata <el-errata_ww@oracle.com> 2.51.0-1
- Update to 2.51.0

* Thu May 12 2022 EL Errata <el-errata_ww@oracle.com> 2.50.0-1
- Update to 2.50.0

* Thu Apr 28 2022 EL Errata <el-errata_ww@oracle.com> 2.49.0-1
- Update to 2.49.0

* Thu Apr 14 2022 EL Errata <el-errata_ww@oracle.com> 2.48.0-1
- Update to 2.48.0

* Thu Mar 31 2022 EL Errata <el-errata_ww@oracle.com> 2.47.0-1
- Update to 2.47.0

* Thu Mar 17 2022 EL Errata <el-errata_ww@oracle.com> 2.46.0-1
- Update to 2.46.0

* Thu Mar 03 2022 EL Errata <el-errata_ww@oracle.com> 2.45.0-1
- Update to 2.45.0

* Thu Feb 24 2022 EL Errata <el-errata_ww@oracle.com> 2.44.0-1
- Update to 2.44.0

* Wed Feb 16 2022 EL Errata <el-errata_ww@oracle.com> 2.43.0-1
- Update to 2.43.0

* Thu Feb 10 2022 EL Errata <el-errata_ww@oracle.com> 2.42.0-1
- Update to 2.42.0

* Thu Feb 03 2022 EL Errata <el-errata_ww@oracle.com> 2.41.0-1
- Update to 2.41.0

* Thu Jan 27 2022 EL Errata <el-errata_ww@oracle.com> 2.40.0-1
- Update to 2.40.0

* Thu Jan 20 2022 EL Errata <el-errata_ww@oracle.com> 2.39.0-1
- Update to 2.39.0

* Thu Jan 06 2022 EL Errata <el-errata_ww@oracle.com> 2.38.0-1
- Update to 2.38.0

* Thu Dec 16 2021 EL Errata <el-errata_ww@oracle.com> 2.37.0-1
- Update to 2.37.0

* Thu Dec 02 2021 EL Errata <el-errata_ww@oracle.com> 2.36.0-1
- Update to 2.36.0

* Wed Nov 17 2021 EL Errata <el-errata_ww@oracle.com> 2.35.0-1
- Update to 2.35.0

* Wed Nov 03 2021 EL Errata <el-errata_ww@oracle.com> 2.34.0-1
- Update to 2.34.0

* Thu Oct 21 2021 EL Errata <el-errata_ww@oracle.com> 2.33.0-1
- Update to 2.33.0

* Thu Oct 07 2021 Alan Steinberg <alan.steinberg@oracle.com> 2.32.0-1.0.1
- Fixed python-oci-sdk dependency.

* Thu Oct 07 2021 EL Errata <el-errata_ww@oracle.com> 2.32.0-1
- Update to 2.32.0

* Thu Sep 23 2021 EL Errata <el-errata_ww@oracle.com> 2.31.0-1
- Update to 2.31.0

* Thu Sep 09 2021 EL Errata <el-errata_ww@oracle.com> 2.30.0-1
- Update to 2.30.0

* Thu Aug 26 2021 EL Errata <el-errata_ww@oracle.com> 2.29.0-1
- Update to 2.29.0

* Thu Aug 12 2021 EL Errata <el-errata_ww@oracle.com> 2.28.0-1
- Update to 2.28.0

* Wed Jul 28 2021 EL Errata <el-errata_ww@oracle.com> 2.27.0-1
- Update to 2.27.0

* Fri Jul 16 2021 Alan Steinberg <alan.steinberg@oracle.com> 2.26.0-1.0.1
- Fixed OL8 python shebang check error by removing unneeded scripts directory.

* Thu Jul 15 2021 EL Errata <el-errata_ww@oracle.com> 2.26.0-1
- Update to 2.26.0

* Thu Jul 01 2021 EL Errata <el-errata_ww@oracle.com> 2.25.0-1
- Update to 2.25.0

* Thu Jun 17 2021 EL Errata <el-errata_ww@oracle.com> 2.24.0-1
- Update to 2.24.0

* Thu Jun 03 2021 EL Errata <el-errata_ww@oracle.com> 2.23.0-1
- Update to 2.23.0

* Thu May 20 2021 EL Errata <el-errata_ww@oracle.com> 2.22.0-1
- Update to 2.22.0

* Thu May 06 2021 EL Errata <el-errata_ww@oracle.com> 2.21.0-1
- Update to 2.21.0

* Thu Apr 22 2021 EL Errata <el-errata_ww@oracle.com> 2.20.0-1
- Update to 2.20.0

* Thu Apr 08 2021 EL Errata <el-errata_ww@oracle.com> 2.19.0-1
- Update to 2.19.0

* Thu Mar 25 2021 EL Errata <el-errata_ww@oracle.com> 2.18.0-1
- Update to 2.18.0

* Thu Mar 11 2021 EL Errata <el-errata_ww@oracle.com> 2.17.0-1
- Update to 2.17.0

* Thu Feb 25 2021 EL Errata <el-errata_ww@oracle.com> 2.16.0-1
- Update to 2.16.0

* Thu Feb 11 2021 EL Errata <el-errata_ww@oracle.com> 2.15.0-1
- Update to 2.15.0

* Thu Jan 28 2021 EL Errata <el-errata_ww@oracle.com> 2.14.0-1
- Update to 2.14.0

* Wed Jan 13 2021 build <ca_buildteam_grp@oracle.com> - 2.13.0-1.el7
- Update to 2.13.0 for Oracle build

* Wed Jan 13 2021 EL Errata <el-errata_ww@oracle.com> 2.13.0-1
- Update to 2.13.0

* Wed Dec 23 2020 build <ca_buildteam_grp@oracle.com> - 2.12.0-1.el7
- Update to 2.12.0 for Oracle build

* Wed Dec 23 2020 EL Errata <el-errata_ww@oracle.com> 2.12.0-1
- Update to 2.12.0

* Thu Nov 19 2020 build <ca_buildteam_grp@oracle.com> - 2.11.0-1.el7
- Update to 2.11.0 for Oracle build

* Thu Nov 19 2020 EL Errata <el-errata_ww@oracle.com> 2.11.0-1
- Update to 2.11.0

* Thu Oct 29 2020 build <ca_buildteam_grp@oracle.com> - 2.10.0-1.el7
- Update to 2.10.0 for Oracle build

* Thu Oct 29 2020 EL Errata <el-errata_ww@oracle.com> 2.10.0-1
- Update to 2.10.0

* Fri Oct 16 2020 Alan Steinberg <alan.steinberg@oracle.com> - 2.9.0-1.el7
- Update to 2.9.0 for Oracle build.

* Fri Sep 25 2020 Qing Lin <qing.lin@oracle.com> -2.8.0 
- Update to 2.8.0

* Fri Aug 28 2020 Qing Lin <qing.lin@oracle.com> -2.6.0 
- Update to 2.6.0

* Thu Aug 27 2020 Qing Lin <qing.lin@oracle.com> -2.5.0 
- Update to 2.5.0

* Fri Jun 26 2020 Qing Lin <qing.lin@oracle.com> -2.2.0 
- Initial build

